Subject: Re: Locking a branch

From: Catalin Marinas <[email-masked]>
Date: Mon, 08 May 2006 11:45:33 +0100

Pavel Roskin <[email-masked]> wrote:
> I see there is an active discussion about branch attributes.  It
> would be nice to have an attribute to prevent git from changing the
> branch head in any way.  The reason is that it interferes with StGIT
> on StGIT managed branches.  If StGIT is fine with the change, it
> would remove or override the lock temporarily.  StGIT could also
> unlock the branch permanently if there are no applied patches.

I'm fine with this. At the moment, StGIT does extra checking before
some of the commands to ensure that HEAD is the same as the top of the
stack (i.e. no commits were generated outside stg commands). While
I'll probably still keep this check, the addition would be useful for
people mixing GIT and StGIT commands (I personally try to stay with
StGIT commands as much as possible).

-- 
Catalin